// Example601A
#include "SparkFunBME280.h"

// Temperature, Humidity, Pressure sensor
BME280 bme280;

float t, h; // variables for temperature, humidity

void setup() {
  // BME280 setting
  bme280.settings.commInterface   = I2C_MODE;
  bme280.settings.I2CAddress      = 0x76;
  bme280.settings.runMode         = 3;
  bme280.settings.tStandby        = 0;
  bme280.settings.filter          = 0;
  bme280.settings.tempOverSample  = 1;
  bme280.settings.pressOverSample = 1;
  bme280.settings.humidOverSample = 1;
  delay(10);
  bme280.begin();

  // Serial communication start
  Serial.begin(9600);
}

void loop() {
  bme280Read();

  Serial.print(t, 1); // 温度，小数第一位まで
  Serial.write(0xDF);
  Serial.println("C ");
  Serial.print(h, 1); // 湿度，小数第一位まで
  Serial.println("%");

  delay(1000); // 1秒毎に更新
}

void bme280Read() {
  t = bme280.readTempC();
  h = bme280.readFloatHumidity();
}

